#!/bin/bash

BASE_HREF=${BASE_HREF:-''};
HEALTHCHECK_SCRIPT=${HEALTHCHECK_SCRIPT:-'./healthcheck.sh'};

# Write healthcheck script for Docker
cat <<-EO_HEALTHCHECK > "${HEALTHCHECK_SCRIPT}"
#!/bin/bash
status=\$(curl \
  -s -o /dev/null \
  -w "%{http_code}" \
  http://localhost:8080/${BASE_HREF}
else
  exit 1;
fi
EO_HEALTHCHECK

chmod +x "${HEALTHCHECK_SCRIPT}";
