package gov.usgs.earthquake.nshmp.internal;

import java.net.URL;

import com.google.common.base.Charsets;
import com.google.common.io.Resources;
import com.google.gson.Gson;

/**
 * Interface for reading in version info JSON files.
 */
public interface AppVersion {

  /**
   * Returns the version info for the repo.
   */
  public VersionInfo getVersionInfo();

  static VersionInfo versionInfo(URL resource) {
    try {
      return new Gson().fromJson(
          Resources.toString(resource, Charsets.UTF_8),
          VersionInfo.class);
    } catch (Exception e) {
      throw new RuntimeException(e.getMessage());
    }
  }

  /**
   * The version info of a repository.
   */
  public static class VersionInfo {
    public String projectName;
    public String url;
    public String version;
    public String branchName;
    public int commitDistance;
    public String gitHash;
    public String gitHashFull;
    public boolean isCleanTag;
    public String lastTag;
  }
}
