package gov.usgs.earthquake.nshmp.model;

/*
 * Model indicating if a vertical geologic slip rate should be applied to the
 * central branch of a normal fault dip-tree to compute and earthquake rate that
 * is then applied to the branches of the dip-tree, or if earthquake rates
 * should be computed from the vertical slip rate projected onto each dip
 * branch. THe latter approach was used in teh 2008 CONUS NSHM. Much higher
 * earthquake rates on shallow dipping faults are required to achieve the
 * lng-term vertical slip rate.
 *
 * @author U.S. Geological Survey
 */
enum DipSlipModel {

  /* Use slip rate of the central branch of a dip-tree. */
  FIXED,

  /* Compute slip rates for each dip-tree branch. */
  VARYING
}
