package gov.usgs.earthquake.nshmp.model;

import com.google.common.collect.Range;

import gov.usgs.earthquake.nshmp.Text;
import gov.usgs.earthquake.nshmp.tree.LogicTree;

/*
 * Gridded seismicity source depth model.
 *
 * @author U.S. Geological Survey
 */
class GridDepthModel {

  final Range<Double> mRange;
  final LogicTree<Double> depthTree;

  GridDepthModel(Range<Double> mRange, LogicTree<Double> depthTree) {
    this.mRange = mRange;
    this.depthTree = depthTree;
  }

  @Override
  public String toString() {
    return mRange + Text.NEWLINE + depthTree + Text.NEWLINE;
  }

}
