package gov.usgs.earthquake.nshmp.model;

import gov.usgs.earthquake.nshmp.Text;

/**
 * Tectonic setting identifier. These are used to make associations between
 * earthquake sources and ground motion models specific to each setting.
 *
 * @author U.S. Geological Survey
 */
public enum TectonicSetting {

  /** Active, shallow crust. */
  ACTIVE_CRUST,

  /** Stable, shallow crust. */
  STABLE_CRUST,

  /** Subduction zone. */
  SUBDUCTION,

  /** Volcanic. */
  VOLCANIC;

  @Override
  public String toString() {
    return Text.enumLabelWithSpaces(this, true);
  }

}
