package gov.usgs.earthquake.nshmp.fault.surface;

import static org.junit.jupiter.api.Assertions.assertEquals;

import org.junit.jupiter.api.Test;

import gov.usgs.earthquake.nshmp.geo.Location;
import gov.usgs.earthquake.nshmp.geo.LocationList;

class DefaultGriddedSurfaceTest {

  @Test
  final void testBuilder() {

    DefaultGriddedSurface surface = createBasic();

    assertEquals(surface.dipSpacing, 1.0, 0.0);
    assertEquals(surface.strikeSpacing, 0.9884, 0.000001);

    assertEquals(surface.getNumRows(), 16);
    assertEquals(surface.getNumCols(), 46);

  }

  private static DefaultGriddedSurface createBasic() {

    LocationList trace = LocationList.of(
        Location.create(-118.0, 34.0),
        Location.create(-118.0, 34.4));

    DefaultGriddedSurface surface = DefaultGriddedSurface.builder()
        .trace(trace)
        .depth(0.0)
        .dip(90.0)
        .width(15.0)
        .build();

    return surface;
  }

}
