package gov.usgs.earthquake.nshmp.gmm;

import static gov.usgs.earthquake.nshmp.gmm.Gmm.AG_20_ALASKA_ADJ_INTERFACE;
import static gov.usgs.earthquake.nshmp.gmm.Gmm.AG_20_ALASKA_INTERFACE;
import static gov.usgs.earthquake.nshmp.gmm.Gmm.AG_20_CASCADIA_ADJ_INTERFACE;
import static gov.usgs.earthquake.nshmp.gmm.Gmm.AG_20_CASCADIA_ADJ_INTERFACE_BASIN;
import static gov.usgs.earthquake.nshmp.gmm.Gmm.AG_20_CASCADIA_INTERFACE;
import static gov.usgs.earthquake.nshmp.gmm.Gmm.AG_20_CASCADIA_INTERFACE_BASIN;
import static gov.usgs.earthquake.nshmp.gmm.Gmm.AG_20_GLOBAL_INTERFACE;
import static gov.usgs.earthquake.nshmp.gmm.Gmm.KBCG_20_ALASKA_INTERFACE;
import static gov.usgs.earthquake.nshmp.gmm.Gmm.KBCG_20_CASCADIA_INTERFACE;
import static gov.usgs.earthquake.nshmp.gmm.Gmm.KBCG_20_CASCADIA_INTERFACE_BASIN;
import static gov.usgs.earthquake.nshmp.gmm.Gmm.KBCG_20_GLOBAL_INTERFACE;
import static gov.usgs.earthquake.nshmp.gmm.Gmm.PSBAH_20_ALASKA_INTERFACE;
import static gov.usgs.earthquake.nshmp.gmm.Gmm.PSBAH_20_CASCADIA_INTERFACE;
import static gov.usgs.earthquake.nshmp.gmm.Gmm.PSBAH_20_CASCADIA_INTERFACE_BASIN;
import static gov.usgs.earthquake.nshmp.gmm.Gmm.PSBAH_20_GLOBAL_INTERFACE;

import java.io.IOException;
import java.util.EnumSet;
import java.util.Set;
import java.util.stream.Stream;

import org.junit.jupiter.api.extension.ExtensionContext;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.Arguments;
import org.junit.jupiter.params.provider.ArgumentsProvider;
import org.junit.jupiter.params.provider.ArgumentsSource;

class NgaSubInterface implements ArgumentsProvider {

  private static String GMM_INPUTS = "/gmm/NGA_SUB_interface_inputs.csv";
  private static String GMM_RESULTS = "/gmm/NGA_SUB_interface_results.csv";

  @ParameterizedTest(name = "({index}) {0} {2} {1}")
  @ArgumentsSource(NgaSubInterface.class)
  void test(int index, Gmm gmm, Imt imt, double exMedian, double exSigma, String inputs) {
    GmmTest.test(index, gmm, imt, exMedian, exSigma, inputs);
  }

  @Override
  public Stream<? extends Arguments> provideArguments(ExtensionContext context) throws Exception {
    return GmmTest.loadResults(GMM_RESULTS, GMM_INPUTS);
  }

  /* Result generation sets */
  private static Set<Gmm> gmms = EnumSet.of(
      AG_20_GLOBAL_INTERFACE,
      AG_20_CASCADIA_INTERFACE,
      AG_20_CASCADIA_INTERFACE_BASIN,
      AG_20_CASCADIA_ADJ_INTERFACE,
      AG_20_CASCADIA_ADJ_INTERFACE_BASIN,
      AG_20_ALASKA_INTERFACE,
      AG_20_ALASKA_ADJ_INTERFACE,
      KBCG_20_GLOBAL_INTERFACE,
      KBCG_20_CASCADIA_INTERFACE,
      KBCG_20_CASCADIA_INTERFACE_BASIN,
      KBCG_20_ALASKA_INTERFACE,
      PSBAH_20_GLOBAL_INTERFACE,
      PSBAH_20_CASCADIA_INTERFACE,
      PSBAH_20_CASCADIA_INTERFACE_BASIN,
      PSBAH_20_ALASKA_INTERFACE);

  public static void main(String[] args) throws IOException {
    GmmTest.generateResults(gmms, Imt.mprsImts(), GMM_INPUTS, GMM_RESULTS);
  }

}
