# Western U.S. Zone Sources

The 2014 and 2018 NSHM for the Western U.S. included two groups of zone sources:

1. Shear zones from UCERF2 that fell outside the California UCERF3 clipping region.
2. Zone models of faults that were assigned very high slip rates by Peter Bird's Neokinema geodetic model.

The UCERF2 shear zone sources get full wieght, the Neokinema zones get 0.1 weight,
consistent with the `BIRD` slip rate branch of the fault source model logic tree.

As translated from XML, the GeoJSON polygons for each zone are rough boundaries around the grid nodes.

## UCERF2 Shear 2

- Original file: `nshm-cous-2018/Western US/Grid/shear2_2014.xml`.

### UCERF2 Shear 3

- Original file: `nshm-cous-2018/Western US/Grid/shear3_2014.xml`.

### UCERF2 Shear 4

- Original file: `nshm-cous-2018/Western US/Grid/shear4_2014.xml`.

### Neokinema Geodetic (NV, CA)

- Original file: `nshm-cous-2018/Western US/Grid/WUS_zones_PB.xml`.

### Neokinema Geodetic (OR, WA)

- Original file: `nshm-cous-2018/Western US/Grid/WUS_zones_PB.xml`
